Skip to main content

Generate Facial Verification URL

POST 

/v1/enrollees/:enrollee_id/facial-verification-url

Generate and return a short-lived facial verification launch URL for an enrollee.

Note: This feature is only available to HMOs/Insurers.

The returned qr_url keeps the existing implementation shape and may be opened directly in a browser or in-app webview by the calling HMO application to initiate the hosted facial verification check-in flow.

This request will only succeed when:

  • the enrollee belongs to the authenticated Insurer/HMO
  • the provider is linked to the authenticated Insurer/HMO
  • check-in is enabled for the Insurer/HMO
  • QR verification is enabled for the Insurer/HMO

Request

Path Parameters

    enrollee_id int64required

    The ID of the enrollee for whom the facial verification URL should be generated.

Body

required
    provider_id integerrequired

    The ID of the provider context to associate with the facial verification flow. The provider must be linked to the authenticated Insurer/HMO.

    expiry_in_minutes integer

    Possible values: >= 1

    Optional number of minutes before the generated URL expires. Defaults to 10 minutes when omitted.

Responses

Success

Schema
    qr_url string

    The generated facial verification URL. It keeps the existing implementation format, including the query parameters token, expires, and provider.

Loading...